import { prisma } from "@repo/db";
import { StationForm } from "../_components/Form";

export default async function Page({ params }: { params: Promise<{ id: string }> }) {
	const { id } = await params;
	const station = await prisma.station.findUnique({
		where: {
			id: parseInt(id),
		},
	});
	if (!station) return <div>Station not found</div>;
	return <StationForm station={station} />;
}
